---
id: tbeam
title: LILYGO® TTGO T-Beam devices
sidebar_label: LILYGO® T-Beam
---

## T-Beam - Meshtastic

- Meshtastic pre-installed
- ESP32 - Wifi & Bluetooth
- SX1276 - LoRa Transceiver
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
  - 923 MHz
- NEO-6M - GPS receiver
- SMA antenna connector
- Power, Program and Reset switches
- Comes with 0.96 inch OLED display (some soldering required to assemble)

- Firmware file: `firmware-tbeam-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/4001178678568.html)

[<img alt="LILYGO® TTGO T-Beam Meshtastic" src="/img/hardware/t-beam-meshtastic.png" style={{zoom:'25%'}} />](/img/hardware/t-beam-meshtastic.png)

## T-Beam - v0.7

:::note
This is an earlier version of the T-Beam board, and due to changes in the design in subsequent iterations this board uses a specific firmware file different from the other T-Beam boards.

`firmware-tbeam0.7-1.x.x.bin` is the correct firmware. `firmware-tbeam-1.x.x.bin` is incompatible. For all other T-Beam boards `firmware-tbeam-1.x.x.bin` is the correct selection.
:::

- ESP32 - Wifi & Bluetooth
- SX1276 - LoRa Transceiver
- Frequency options:
  - 868 MHz
  - 915 MHz
- NEO-6M - GPS receiver
- SMA antenna connector
- Power, Program and Reset switches
- No GPS
- Screen sold separately

- Firmware file: `firmware-tbeam0.7-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/4000469332610.html)

[<img alt="LILYGO TTGO T-Beam v0.7" src="/img/hardware/t-beam-v0.7.png" style={{zoom:'25%'}} />](/img/hardware/t-beam-v0.7.png)

## T-Beam - V1.1

- ESP32 - Wifi & Bluetooth
- SX1276 - LoRa Transceiver
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
  - 923 MHz
- NEO-6M - GPS receiver
- SMA antenna connector
- Power, Program and Reset switches
- Comes with 0.96 inch OLED display (some soldering required to assemble)

- Firmware file: `firmware-tbeam-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/4001178678568.html)

[<img alt="LILYGO® TTGO T-Beam v1.1" src="/img/hardware/t-beam-v1.1.png" style={{zoom:'35%'}} />](/img/hardware/t-beam-v1.1.png)

## T-Beam - M8N

- ESP32 - Wifi & Bluetooth
- SX1276 - LoRa Transceiver
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
  - 923 MHz
- NEO-M8N - GPS receiver - better GPS sensitivity
- U.FL antenna connector
- Power, Program and Reset switches
- Screen sold separately

- Firmware file: `firmware-tbeam-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/33047631119.html)

[<img alt="LILYGO® TTGO T-Beam M8N" src="/img/hardware/t-beam-m8n.png" style={{zoom:'25%'}} />](/img/hardware/t-beam-m8n.png)

## T-Beam - M8N & SX1262

- ESP32 - Wifi & Bluetooth
- SX1262 - LoRa Transceiver - improved performance
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
  - 923 MHz
- NEO-M8N - GPS receiver - better GPS sensitivity
- U.FL antenna connector
- Power, Program and Reset switches
- Screen sold separately

- Firmware file: `firmware-tbeam-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/4001287221970.html)

[<img alt="LILYGO® TTGO T-Beam M8N & SX1262" src="/img/hardware/t-beam-sx1262.png" style={{zoom:'25%'}} />](/img/hardware/t-beam-sx1262.png)

## Screen

- 0.96 inch OLED i<sup>2</sup>c display
- [Purchase link](https://www.aliexpress.com/item/32922106384.html)

[<img alt="0.96 inch OLED display" src="/img/hardware/screen.png" style={{zoom:'25%'}} />](/img/hardware/screen.png)
